﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Threading;
using MvcAjaxDemo.Models;
namespace MvcAjaxDemo.Controllers
{
    [HandleError]
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewData["Message"] = "Welcome to ASP.NET MVC!";

            return View();
        }

        public ActionResult About()
        {
            return View();
        }
        public ActionResult ActionLinkTest()
        {
            return View();
        }
        public string Hello(string name)
        {
            return "Hello:" + name;
        }
        public string HelloSleep(string name)
        {
            Thread.Sleep(2000);
            return "Hello:" + name;
        }
        public ActionResult BeginFormTest()
        {
            return View();
        }
        public ActionResult Search(string title)
        {
            NewsDataDataContext dc = new NewsDataDataContext();
            return View("NewsList", dc.News.Where(n => n.Title.Contains(title)));
        }
        public ActionResult NewsShow()
        {
            return View();
        }
    }
}
